<?php
/**
 * Template part for displaying posts
 *
 * @link    https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package MagazineX
 * @since   1.0.0
 */

// Exit if accessed directly.
defined( 'ABSPATH' ) || exit;
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

	<?php

	if ( get_post_format() ) :
		get_template_part( 'inc/post-formats' );
	endif;

	$video_post_url = get_post_meta( $post->ID, 'video_url', true );

	$entry_elements = get_theme_mod(
		'magazinex_single_post_elements',
		array(
			'thumbnail',
			'header-meta',
			'header',
			'meta',
			'content',
		)
	);

	if ( ! empty( $video_post_url ) ) {
		$entry_elements = \array_diff( $entry_elements, array( 'thumbnail' ) );
	}

	foreach ( $entry_elements as $entry_element ) {
		get_template_part( 'template-parts/entry/entry', $entry_element );
	}
	?>
</article><!-- #post-<?php the_ID(); ?> -->
